<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: endian_check/endian_check.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_cc71b68a4cf98eeba70c8fbde99b192a.html">endian_check</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">endian_check.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="endian__check_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef ENDIAN_CHECK_H</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define ENDIAN_CHECK_H</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//#define ENDIAN_CHECK_HEADER_ONLY</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#ifdef ENDIAN_CHECK_HEADER_ONLY</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define ENDIAN_CHECK_SPEC static inline</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">   16</a></span>&#160;<span class="preprocessor">#define ENDIAN_CHECK_SPEC</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<a class="code" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a> <span class="keywordtype">int</span> <a class="code" href="endian__check_8h.html#a11d262cbf1f747d432c35cd0b51cad92">is_big_endian</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<a class="code" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a> <span class="keywordtype">int</span> <a class="code" href="endian__check_8h.html#aca8fa45e1395988d77246b0af4c9d3e9">is_little_endian</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifdef ENDIAN_CHECK_HEADER_ONLY</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="endian__check_8c.html">endian_check.c</a>&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="endian__check_8h_html_aca8fa45e1395988d77246b0af4c9d3e9"><div class="ttname"><a href="endian__check_8h.html#aca8fa45e1395988d77246b0af4c9d3e9">is_little_endian</a></div><div class="ttdeci">ENDIAN_CHECK_SPEC int is_little_endian(void)</div><div class="ttdef"><b>Definition:</b> endian_check.c:19</div></div>
<div class="ttc" id="endian__check_8c_html"><div class="ttname"><a href="endian__check_8c.html">endian_check.c</a></div></div>
<div class="ttc" id="endian__check_8h_html_a16eb4c620d49a9f295888e0d5f309cfe"><div class="ttname"><a href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a></div><div class="ttdeci">#define ENDIAN_CHECK_SPEC</div><div class="ttdef"><b>Definition:</b> endian_check.h:16</div></div>
<div class="ttc" id="endian__check_8h_html_a11d262cbf1f747d432c35cd0b51cad92"><div class="ttname"><a href="endian__check_8h.html#a11d262cbf1f747d432c35cd0b51cad92">is_big_endian</a></div><div class="ttdeci">ENDIAN_CHECK_SPEC int is_big_endian(void)</div><div class="ttdef"><b>Definition:</b> endian_check.c:7</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
